Subject: Re: bug#50629: 28.0.50; hard to debug an uncaught error with ert

From: Gerd Möllmann <[email-masked]>
Date: Sat, 27 Aug 2022 15:44:12 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Hm, yes...  But it'd be really useful to have the complete backtrace
> instead of just the signal form, because the errors that this would be
> most helpful for are often way down in the call stack.

The backtrace we have already.  It's the "unreadable" stuff that ERT
prints.  It's hard to make sense of because of the macrology involved.
If you macroexpand the ert-deftest form that Mike provided, you'll see
what I mean.

And that's also what one will see in a debugger.  (There's an
ert-debug-on-error, BTW.  I think someone asked.)

Don't know, maybe you could change ert-deftest to expand into something
more readable?